Trả danh sách mã chứng khoán tài khoản được phép giao dịch
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"description": "<string>",
"minQty": 123,
"maxQty": 123,
"qtyStep": 123,
"pipSize": 123,
"pipValue": 123,
"minTick": 123,
"lotSize": 123,
"marginRate": 123,
"baseCurrency": "<string>",
"quoteCurrency": "<string>",
"type": "<string>"
}
]Instruments
Trả danh sách mã chứng khoán tài khoản được phép giao dịch
GET
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
instruments
Trả danh sách mã chứng khoán tài khoản được phép giao dịch
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/instruments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"description": "<string>",
"minQty": 123,
"maxQty": 123,
"qtyStep": 123,
"pipSize": 123,
"pipValue": 123,
"minTick": 123,
"lotSize": 123,
"marginRate": 123,
"baseCurrency": "<string>",
"quoteCurrency": "<string>",
"type": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Scopes
accounts-read
Đọc danh sách tài khoản giao dịch chứng khoán
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user